Summary: Subversion for SME Server
%define name smeserver-subversion
Name: %{name}
%define version 1.4
%define release 8
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Patch0: smeserver-subversion-1.4-RemoveLeftoverReferencesToModAuthz.patch
Patch1: smeserver-subversion-1.4-RemoveLeftoverReferencesToModAuthzRemovedTooMuch.patch
Patch2: smeserver-subversion-1.4-ImplementReadWriteAccess.patch
Patch3: smeserver-subversion-1.4-ImplementReadWriteAccess2.patch
Patch4: smeserver-subversion-1.4-ImplementReadWriteAccess3.patch
Patch5: smeserver-subversion-1.4-ImplementReadWriteAccess4.patch
Patch6: smeserver-subversion-1.4-ImplementReadWriteAccessLocale-en-us.patch
Patch7: smeserver-subversion-1.4-ImplementReadWriteAccessLocale-de.patch
Patch8: smeserver-subversion-1.4-ImplementReadWriteAccessLocale-fr.patch
Patch9: smeserver-subversion-1.4-ImplementReadWriteAccessLocale-sv.patch
Patch10: smeserver-subversion-1.4-ImplementReadWriteAccessLocale-it.patch
Patch11: smeserver-subversion-1.4-FixFontTagInLocale.patch
Patch12: smeserver-subversion-1.4-initdb.patch
Patch13: smeserver-subversion-1.4-ImproveRepositoryDeleteSanityCheck.patch
Patch14: smeserver-subversion-1.4-ImproveRepositoryDeleteSanityCheck2.patch
Patch15: smeserver-subversion-1.4-RemoveEvent-subversion-delete.patch
Patch16: smeserver-subversion-1.4-AddHooksToUSerAndGroupDeleteEvents.patch
Patch17: smeserver-subversion-1.4-UpdateCreateLinksScript.patch
Patch18: smeserver-subversion-1.4-SanitizeGroupMemberExpansion.patch
Patch19: smeserver-subversion-1.4-ReorganizeLocale.patch
Patch20: smeserver-subversion-1.4-AddLocale-es.patch
Patch21: smeserver-subversion-1.4-ModifyRepositoryFixes.patch
Patch22: smeserver-subversion-1.4-RepositoryMIMETypeFix.patch
Patch23: smeserver-subversion-1.4-RewriteMigrateScript.patch
Patch24: smeserver-subversion-1.4-FixGroupsFullAccess.patch
Patch25: smeserver-subversion-1.4-migratefix.patch
Group: Applications/Internet
Source: %{name}-%{version}.tgz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: smeserver-mod_dav subversion >= 1.2 smeserver-release >= 7 mod_dav_svn httpd >= 2
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
Implementation of Subversion for SME Server 7 using WebDAV.

%changelog
* Sat Mar 01 2008 Shad L. Lords <slords@mail.com> 1.4-8
- Simplify migrate fragment and ensure we don't overwrite props [SME: 4003]

* Sat Mar 01 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 
- 1.4-7
- Rewrite and split migrate scripts for user(s) and group(s), model
  it after /etc/e-smith/db/configuration/migrate/20smtpd-auth
- Clean out empty files created after patching

* Sat Mar 01 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 
- 1.4-6
- Full access for groups does not work [SME: 3998]
- group-delete hook is preventing groups from being deleted [SME: 3999]
- Fix migrate script to not overwrite users/groups access privileges 
  on updates [SME: 4003]

* Thu Feb 28 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 
- 1.4-5
- Modifying repository does not change MIME type setting 
  from off to on [SME: 3995]
- Modifying repository drops access privileges [SME: 3996]
- Modifying repository sets GroupsRead value for 
  GroupsRead as well as GroupsWrite property [SME: 3997]

* Wed Feb 27 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 
- 1.4-4
- Fixed invalid perl location in patch

* Mon Feb 25 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 
- 1.4-3 
- Added and reorganized locales for all base languages [SME: 3811]
- Added spanish (es) locale [SME: 3814] 
- Add hooks to user-delete and group-delete event [SME: 3981]
- Remove subversion-delete event since it is and should not be used [SME: 3982]
- Improve sanity check on repository-delete event [SME: 3983]

* Mon Feb 25 2008 Shad L. Lords <slords@mail.com> 
- 1.4-2
- Remove scripts and move db initialition to package

* Sun Feb 24 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.4-1
- Removed font tag in locale files [SME: 3977]

* Sat Feb 23 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.4-0
- Removed skel folder should have been obsoleted since 1.2-8 [SME: 3079]
- Implement read/write access for user(s) and group(s) [SME: 3964]
- Allow anonymous access [SME: 3976]
- Removed leftover refferences to modAuthzSVN [SME: 3971]
- Fixed incorrect dates in spec files changelog

* Wed Feb 06 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.3-6
- Fixed missing translations for french locale created by 
  features implemented by 1.3-2 [SME: 3810]

* Sat Jan 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.3-5
- Added italian (it) locale [SME: 3812]

* Sat Jan 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.3-4
- Added german (de) locale [SME: 3813]

* Sat Jan 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.3-3
- DESCRIPTION_HAS_INVALID_CHARS is not translated in en-us locale [SME: 3694]
- Fixed missing translations for available locale created by 
  features implemented by 1.3-2 [SME: 3811]

* Fri Jan 25 2008 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.3-2
- Allow auto-versioning by DAV clients (requires subversion >= 1.2) [SME: 3806]

* Tue Dec 25 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-9
  fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=3008
  Description doesn't allow characters with accents [SME: 3008]

* Mon Aug 6 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-8
  fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=3079
  UUID equal in all repositories [SME: 3079]

* Mon Aug 6 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-7
  fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=3034
  Added new French translation due to incorrect encoding [SME: 3034]

* Tue Jun 12 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-6
  fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=3034
  Added French translation of server-manager panel [SME: 3034]

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Sun Feb 18 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-4
  fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=2435
  Added Swedish translation of server-manager panel [SME: 2435]

* Tue Feb 13 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-3
- changed wrongly modified symlink created in 1.2-2

* Mon Feb 12 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-2
- removed symlink from archive and moved it to createlinks script
- fixed bug: http://www.contribs.org/bugzilla/show_bug.cgi?id=2435
  implemented the ability to localise the link in the navigation 
  panel of the server-manager [SME: 2435]

* Tue Feb 06 2007 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.2-1
- imported changelog from previous revisions and ordered them by date
- made packager generic for possible inclusion in SME Server Extras
- renamed spec file to enable automatic build to 
  smeserver-subversion.spec, removed older spec files with 
  version number in their name
- modified mailaddress to be smeserver-contribs@snetram.nl
- fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=2169
  Added httpd.conf to templates2expand and services2adjust for
  the user-create, user-modify and group-modify event
- fixed bug: http://www.contribs.org/bugzilla/show_bug.cgi?id=2205
  Removed NEXT button from first server-manager panel

* Sat Dec 09 2006 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.1-3
- fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=2073
  wrong split of database entries for groups and users when 
  multiple users or groups where specified in 28SubversionContent
  httpd.conf template file
- fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=1953
  Authentication doesn't appear to work for groups, implemented 
  workaround to expand all users in groups and adding them to
  the require user line
- fixed bug: http://contribs.org/bugzilla/show_bug.cgi?id=2138
  Remove unnecesarry double quotes around user and groups in 
  httpd.conf template 28SubversionContent.

* Sun Sep 18 2006 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.0-5
- fixed bug: http://www.contribs.org/bugzilla/show_bug.cgi?id=1915
  missing entry for maxRepositoryNameLength in database
- fixed bug: http://www.contribs.org/bugzilla/show_bug.cgi?id=1916
  corrected typo in createlinks script for httpd-e-smith

* Sun Sep 10 2006 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.0-4
- fixed configuration database entry for modDAVSVN

* Sun Aug 27 2006 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.0-3
- fixed typo

* Sun Aug 27 2006 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.0-2
- fixed: enable subversion by default after install

* Sun Aug 27 2006 Jonathan Martens <smeserver-contribs@snetram.nl>
- 1.0-1
- complete rebuild of the package 
- fixed: /home/e-smith/files/repository is now created
- fixed: typo in english template files

* Mon May 29 2006 Jonathan Martens <smeserver-contribs@snetram.nl>
- 0.1-01
- Original version

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
